## jenkins-debian-glue 0.20.0+devuan4

=== debian/changelog ===
jenkins-debian-glue (0.20.0+devuan4) unstable; urgency=medium

  * Prefer moreutils to parallel as it doesn't pull in sysstat.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 27 Dec 2019 16:38:07 +0000

jenkins-debian-glue (0.20.0+devuan3) unstable; urgency=medium

  * Move ruby dependency to jenkins-debian-glue itself as
    lintian-junit-report is a ruby script.
  * Add dependency on locales: lintian-junit-report fails if LANG is not
    set.
  * Revert addition of lintian-vendor-profile to EXTRAPACKAGES.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 22 Dec 2019 15:41:42 +0000

jenkins-debian-glue (0.20.0+devuan2) unstable; urgency=medium

  * Change default mirror to pkgmaster.devuan.org and therefore revert to
    using devuan-keyring which contains the amprolla3 key and nextime's
    dsc signing key.
  * Change to PBUILDERSATISFYDEPENDSCMD=pbuilder-satisfydepends-apt: the
    default requires aptitude, which may not be installed.
  * Add d/gbp.conf with defaults for debian-branch and debian-tag.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 21 Dec 2019 10:09:51 +0000

jenkins-debian-glue (0.20.0+devuan1) unstable; urgency=medium

  * Merge upstream version 0.20.0.
  * Merge changes from suites/experimental: Recommend
    lintian-vendor-profile and add it to EXTRAPACKAGES.
  * Change maintenance to Devuan Developers list.
  * Use devuan-archive-keyring rather than devuan-keyring for
    debootstrapping.
  * Use default PBUILDERSATISFYDEPENDSCMD as the classic implementation no
    longer works for the new debhelper-compat system.
  * Set AUTOCLEANAPTCACHE=yes in pbuilderrc to prevent continuous package
    cache growth.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 16 Dec 2019 12:05:52 +0000

jenkins-debian-glue (0.18.4.99+devuan4) unstable; urgency=medium

  * add lintian-vendor-profile to EXTRA-PACKAGES

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Mon, 05 Nov 2018 22:03:53 +1300

jenkins-debian-glue (0.18.4.99+devuan3) unstable; urgency=medium

  [Daniel Reurich]
  * add Recommends: lintian-vendor-profile to debian/control

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Mon, 05 Nov 2018 21:59:41 +1300

jenkins-debian-glue (0.18.4.99+devuan2.1) unstable; urgency=medium

  * added "--no-merged-usr" in devuan/pbuilderrc 

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Tue, 20 Nov 2018 16:40:10 +0000

=== debian/control ===
Source: jenkins-debian-glue
Section: admin
Priority: optional
Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
Uploaders:
	Mark (LeePen) Hindley <mark@hindley.org.uk>,
	Franco (nextime) Lanza <nextime@devuan.org>
Standards-Version: 4.2.1
Homepage: https://github.com/mika/jenkins-debian-glue
Vcs-Git: https://git.devuan.org/devuan-infrastructure/jenkins-devuan-glue.git
Vcs-Browser: https://git.devuan.org/devuan-infrastructure/jenkins-devuan-glue
Build-Depends:
 debhelper (>= 10),
 shunit2,

Package: jenkins-debian-glue
Architecture: all
Depends:
 sudo | sudo-ldap,
 ruby,
 locales,
 ${misc:Depends},
Recommends:
 jenkins-debian-glue-buildenv,
Conflicts:
 jenkins-debian-glue-buildenv-git,
 jenkins-debian-glue-buildenv-lintian,
 jenkins-debian-glue-buildenv-piuparts,
 jenkins-debian-glue-buildenv-slave,
 jenkins-debian-glue-buildenv-svn,
 jenkins-debian-glue-buildenv-taptools,
Description: Jenkins Debian glue scripts
 This package provides scripts which make building Debian
 packages inside Jenkins (a Continuous Integration suite) easier.
 .
 It's meant to make Q/A builds of Debian packages inside Jenkins
 as manageable and homogeneous as possible.
 .
 You need to install the according packaging tools, depending on
 your VCS type and the features you want to use. To get all tools
 you can just install the jenkins-debian-glue-buildenv package.

Package: jenkins-debian-glue-buildenv
Architecture: all
Depends:
 build-essential,
 cowbuilder,
 devscripts,
 dpkg-dev,
 eatmydata,
 fakeroot,
 file,
 git-buildpackage,
 gnupg,
 jenkins-debian-glue,
 lintian,
 moreutils | parallel,
 piuparts,
 pristine-tar,
 quilt,
 reprepro | freight,
 rsync,
 subversion-tools (<= 1.6.18dfsg-1) | svn2cl,
 ${misc:Depends},
Conflicts:
 jenkins-debian-glue-buildenv-git,
 jenkins-debian-glue-buildenv-lintian,
 jenkins-debian-glue-buildenv-piuparts,
 jenkins-debian-glue-buildenv-slave,
 jenkins-debian-glue-buildenv-svn,
 jenkins-debian-glue-buildenv-taptools,
Replaces:
 jenkins-debian-glue-buildenv-git,
 jenkins-debian-glue-buildenv-lintian,
 jenkins-debian-glue-buildenv-piuparts,
 jenkins-debian-glue-buildenv-slave,
 jenkins-debian-glue-buildenv-svn,
 jenkins-debian-glue-buildenv-taptools,
Recommends:
 curl,
 libperl-critic-perl,
 pep8 (>= 1.4.6~),
 qemu-user-static,
 shellcheck,
Description: Jenkins Debian glue scripts - dependency package
 This package depends on all Debian packaging/repository
 management and VCS tools which may be used with
 jenkins-debian-glue for easier installation.
 .
 If disk space is a concern consider installing only the subset
 of packages you actually need.

Package: jenkins-debian-glue-buildenv-devuan
Architecture: all
Depends: sudo,
         jenkins-debian-glue-buildenv,
         ${misc:Depends}
Recommends: lintian-vendor-profile
Description: Devuan GNU/Linux support in jenkins debian glue
 This package provides Devuan specific additional files
 used for building Devuan packages.

## jenkins-debian-glue 0.20.0+nmu1

=== debian/changelog ===
jenkins-debian-glue (0.20.0+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 13:52:48 +0800

## jenkins-debian-glue 0.20.1

=== debian/changelog ===
jenkins-debian-glue (0.20.1) unstable; urgency=medium

  [ Michael Prokop ]
  * [ebb7c31] remove-reprepro-codename: also get rid of package indices
    files
  * [629746a] perlcritic_tap: properly fail if provided file can't be read
  * [aa23145] puppet: ensure puppet/facter from and on Debian works
  * [d6c58cf] puppet: fix broken user setup with recent Jenkins versions
  * [c79eb15] build-and-provide-package: set ADDITIONAL_BUILDRESULTS also
    in custom pbuilderrc
  * [75988c6] Bump Standards-Version to 4.4.0
  * [ee404c2] build-and-provide-package: ensure to set
    ADDITIONAL_BUILDRESULTS from within cowbuilder_run
  * [31b9054] pbuilder-hookdir/B90lintian: support execution on source
    files + improve error handling
  * [a32ac40] puppet: ensure gnupg is present
  * [cc328ce] puppet: depend on Trilead API plugin to get working git-
    client plugin

  [ Kienan Stewart ]
  * [b02b435] Remove usage of SUDO_CMD from generate-reprepro-codename

  [ Victor Seva ]
  * [ebdff00] piuparts_wrapper: enable --mirror parameter

  [ Guillem Jover ]
  * [18671c6] debian: Namespace debhelper fragment file
  * [8d9de8a] Bump Standards-Version to 4.3.0

  [ Cyril Brulebois ]
  * [3eee9ba] puppet: fix variables_not_enclosed puppet style warnings
  * [a7ca923] puppet: fix double_quoted_strings puppet style warnings
  * [06584f4] puppet: fix arrow_alignment puppet style warnings
  * [0203f6b] puppet: document wget dependency
  * [272709b] puppet: factorize all jenkins::plugin::install's require
    attribute
  * [ff08c1f] puppet: force bouncycastle-api and junit plugins

 -- Michael Prokop <mika@debian.org>  Tue, 19 Nov 2019 15:29:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,11 @@
 Source: jenkins-debian-glue
 Section: admin
 Priority: optional
-Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
-Uploaders:
-	Mark (LeePen) Hindley <mark@hindley.org.uk>,
-	Franco (nextime) Lanza <nextime@devuan.org>
-Standards-Version: 4.2.1
+Maintainer: Michael Prokop <mika@debian.org>
+Standards-Version: 4.4.0
 Homepage: https://github.com/mika/jenkins-debian-glue
-Vcs-Git: https://git.devuan.org/devuan-infrastructure/jenkins-devuan-glue.git
-Vcs-Browser: https://git.devuan.org/devuan-infrastructure/jenkins-devuan-glue
+Vcs-Git: https://github.com/mika/jenkins-debian-glue.git
+Vcs-Browser: https://github.com/mika/jenkins-debian-glue
 Build-Depends:
  debhelper (>= 10),
  shunit2,
@@ -17,8 +14,6 @@
 Architecture: all
 Depends:
  sudo | sudo-ldap,
- ruby,
- locales,
  ${misc:Depends},
 Recommends:
  jenkins-debian-glue-buildenv,
@@ -54,12 +49,13 @@
  gnupg,
  jenkins-debian-glue,
  lintian,
- moreutils | parallel,
+ parallel | moreutils,
  piuparts,
  pristine-tar,
  quilt,
  reprepro | freight,
  rsync,
+ ruby,
  subversion-tools (<= 1.6.18dfsg-1) | svn2cl,
  ${misc:Depends},
 Conflicts:
@@ -89,13 +85,3 @@
  .
  If disk space is a concern consider installing only the subset
  of packages you actually need.
-
-Package: jenkins-debian-glue-buildenv-devuan
-Architecture: all
-Depends: sudo,
-         jenkins-debian-glue-buildenv,
-         ${misc:Depends}
-Recommends: lintian-vendor-profile
-Description: Devuan GNU/Linux support in jenkins debian glue
- This package provides Devuan specific additional files
- used for building Devuan packages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@

## jenkins-debian-glue 0.21.0

=== Makefile ===
PREFIX := /usr

PROGRAMS := scripts/* tap/*

build:
	tests/increase-version-number

install: $(scripts)
	mkdir -p $(DESTDIR)/$(PREFIX)/bin/
	for prog in $(PROGRAMS); do \
		install -m 0755 $$prog $(DESTDIR)/$(PREFIX)/bin; \
	done

	mkdir -p $(DESTDIR)/usr/share/jenkins-debian-glue/examples/
	install -m 0664 examples/* $(DESTDIR)/usr/share/jenkins-debian-glue/examples/
	mkdir -p $(DESTDIR)/usr/share/jenkins-debian-glue/pbuilder-hookdir/
	install -m 0775 pbuilder-hookdir/* $(DESTDIR)/usr/share/jenkins-debian-glue/pbuilder-hookdir/

uninstall: $(scripts)
	for prog in $(PROGRAMS); do \
		rm $(DESTDIR)/$(PREFIX)/bin/$${prog#scripts} ; \
	done
	rm -rf $(DESTDIR)/usr/share/jenkins-debian-glue/examples
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/jenkins-debian-glue

deploy:
	fab all

clean:
	rm -f fabfile.pyc
	# avoid recursion via debian/rules clean, so manually rm:
	rm -f debian/files debian/jenkins-debian-glue.debhelper.log
	rm -f debian/jenkins-debian-glue.substvars
	rm -rf debian/jenkins-debian-glue/

.PHONY: build install

=== debian/changelog ===
jenkins-debian-glue (0.21.0) unstable; urgency=medium

  [ Michael Prokop ]
  * [bec262f] Trim trailing whitespace
  * [67b3e51] scripts/piuparts_wrapper: switch to deb.debian.org as
    default mirror
  * [787018b] puppet: use Debian arch for configuring architecture axes
  * [d33fc2c] Bump Standards-Version to 4.5.0
  * [74c4861] puppet: depend on several plugins to get a working junit
    plugin
  * [eb3bb89] Bump Standards-Version to 4.5.1

  [ Debian Janitor ]
  * [e0455d1] Update standards version to 4.4.1, no changes needed.
  * [ed994b5] Bump debhelper from old 10 to 12.
  * [b9bc2dd] Set debhelper-compat version in Build-Depends.

  [ Ratchanan Srirattanamet ]
  * [54cfa30] build-and-provide-package: fix debian/control lookup for
    non-native pkgs

  [ Calvin Walton ]
  * [79ab9b4] Ensure the keyring generated for REPOSITORY_EXTRA_KEYS is
    not a keybox

  [ Guillem Jover ]
  * [93e8909] Switch from deprecated /var/run to /run

  [ Antoine Musso ]
  * [edc8cc9] lintian-junit-report: fix for xunit 2.x Jenkins plugin

  [ parazyd ]
  * [b222860] Support building armhf/armel on arm64 without QEMU.

 -- Michael Prokop <mika@debian.org>  Wed, 23 Dec 2020 14:24:22 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: admin
 Priority: optional
 Maintainer: Michael Prokop <mika@debian.org>
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/mika/jenkins-debian-glue
 Vcs-Git: https://github.com/mika/jenkins-debian-glue.git
 Vcs-Browser: https://github.com/mika/jenkins-debian-glue
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  shunit2,
 
 Package: jenkins-debian-glue

## jenkins-debian-glue 0.21.1

=== debian/changelog ===
jenkins-debian-glue (0.21.1) unstable; urgency=medium

  [ Sergii Kipot ]
  * [6749b85] Add support for pycodestyle tool

  [ Michael Prokop ]
  * [7105d59] puppet: drop package dependency on ttf-dejavu
  * [05f82bb] Switch everything from git:// to https://
  * [eeb543e] puppet: drop user setup and management of
    /var/lib/jenkins/config.xml
  * [22c9255] puppet: add a bunch of indirectly dependent plugins
  * [81aaa61] debian: Bump Standards-Version to 4.6.1

 -- Michael Prokop <mika@debian.org>  Thu, 25 Aug 2022 13:54:47 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Michael Prokop <mika@debian.org>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/mika/jenkins-debian-glue
 Vcs-Git: https://github.com/mika/jenkins-debian-glue.git
 Vcs-Browser: https://github.com/mika/jenkins-debian-glue

## jenkins-debian-glue 0.22.1

=== debian/changelog ===
jenkins-debian-glue (0.22.1) unstable; urgency=medium

  [ Marius Gripsgard ]
  * [5e6accb] [generate-git-snapshot] Allow to disable pre cleanup
    via SKIP_PRE_CLEANUP

  [ Michael Prokop ]
  * [b981871] puppet: fix new jdg-repository-checker naming
  * [b357d58] puppet: add further plugin dependencies

 -- Michael Prokop <mika@debian.org>  Tue, 06 Dec 2022 08:25:12 +0100

jenkins-debian-glue (0.22.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [a7ca611] Use better characters for text boxing in piuparts hook
  * [c232683] Remove superfluous debian/tmp prefix from debhelper .install
    file
  * [886884c] Namespace and rename programs to reduce the namespace
    pollution

  [ Michael Prokop ]
  * [55d040d] build-and-provide-package: Use InRelease file instead of
    Release. Thanks to Mykola Malkov
  * [81fb098] scripts/build-and-provide-package: replace egrep usage with
    grep -E

  [ Debian Janitor ]
  * [94d0d46] Remove constraints unnecessary since buster(oldstable)

 -- Michael Prokop <mika@debian.org>  Fri, 04 Nov 2022 17:00:16 +0100

=== debian/control ===
--- 
+++ 
@@ -75,7 +75,7 @@
 Recommends:
  curl,
  libperl-critic-perl,
- pep8 (>= 1.4.6~),
+ pep8,
  qemu-user-static,
  shellcheck,
 Description: Jenkins Debian glue scripts - dependency package

## jenkins-debian-glue 0.23.0

=== debian/changelog ===
jenkins-debian-glue (0.23.0) unstable; urgency=medium

  [ Oleh Horbachov ]
  * [0d3b8ab] Updated jenkins PGP key

  [ Victor Seva ]
  * [0d54b7f] tap: detect merge conflicts tool
  * [f1caf36] tap: add merge-conflict by default on tap-tool-dispatcher

  [ Michael Prokop ]
  * [c2b1d1f] Fix lintian issue with ruby-script-but-no-ruby-dep. Thanks
    to Victor Seva for feedback

 -- Michael Prokop <mika@debian.org>  Wed, 19 Jun 2024 12:01:10 +0200

## jenkins-debian-glue 0.23.1

=== debian/changelog ===
jenkins-debian-glue (0.23.1) unstable; urgency=medium

  [ Victor Seva ]
  * [340773d] tap: fix missing disable-mergecheck option on getopt
  * [91ec1c8] tap: [merge-conflict] skip directory arguments
  * [60bc828] tap: [merge-conflict] improve merge detection

 -- Michael Prokop <mika@debian.org>  Mon, 16 Sep 2024 19:01:53 +0200

## jenkins-debian-glue 0.23.2

=== debian/changelog ===
jenkins-debian-glue (0.23.2) unstable; urgency=medium

  * d/control: replace deprecated Recommends on pep8 with pycodestyle.
    Thanks to Alexandre Detiste (Closes: #1093162)
  * tap/jdg-tap-pep8: check for pycodestyle by default
  * tap/jdg-tap-tool-dispatcher: enable jdg-tap-pep8 via pycodestyle

 -- Michael Prokop <mika@debian.org>  Fri, 17 Jan 2025 12:20:23 +0100

=== debian/control ===
--- 
+++ 
@@ -75,7 +75,7 @@
 Recommends:
  curl,
  libperl-critic-perl,
- pep8,
+ pycodestyle,
  qemu-user-static,
  shellcheck,
 Description: Jenkins Debian glue scripts - dependency package

## jenkins-debian-glue 0.23.4

=== debian/changelog ===
jenkins-debian-glue (0.23.4) unstable; urgency=medium

  * [f3c55ce] tap: replace deprecated File.exists? with File.exist?
    (Closes: #1102381)

 -- Michael Prokop <mika@debian.org>  Tue, 08 Apr 2025 15:39:06 +0200

jenkins-debian-glue (0.23.3) unstable; urgency=medium

  [ Victor Seva ]
  * [11da68f] tap: improve file detection
  * [ddb1157] Makefile: add missing test

 -- Michael Prokop <mika@debian.org>  Mon, 07 Apr 2025 13:10:42 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
 Vcs-Browser: https://github.com/mika/jenkins-debian-glue
 Build-Depends:
  debhelper-compat (= 12),
- shunit2,
+ ruby <!nocheck>,
+ shunit2 <!nocheck>,
 
 Package: jenkins-debian-glue
 Architecture: all

## jenkins-debian-glue 0.23.5

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,9 @@
 PROGRAMS := scripts/* tap/*
 
 build:
+	tests/merge-conflict
 	tests/increase-version-number
+	tests/file-detection
 
 install: $(scripts)
 	mkdir -p $(DESTDIR)/$(PREFIX)/bin/

=== debian/changelog ===
jenkins-debian-glue (0.23.5) unstable; urgency=medium

  * [6fa08b8] jdg-tap-tool-dispatcher: fix file-list handling with
    jdg-tap-merge-conflict
  * [2f0ce4e] puppet: drop jenkins.grml.org usage, use j-d-g packages from
    Debian instead
  * [f263a20] puppet: drop Jenkins plugin support
  * [58059f7] puppet: drop support for ancient openjdk releases
  * [ebfa17b] puppet: update usage instructions to clarify current plugin
    situation
  * [2044974] d/control: Bump Standards-Version to 4.7.2

 -- Michael Prokop <mika@debian.org>  Tue, 22 Apr 2025 09:46:27 +0200

=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,4 @@
 # export DH_VERBOSE=1
 
 %:
-	dh $@ 
+	dh $@

## jenkins-debian-glue 0.23.6

=== Makefile ===
PREFIX := /usr

PROGRAMS := $(wildcard scripts/* tap/*)

all: build

build:

check: build
	tests/merge-conflict
	tests/increase-version-number
	tests/file-detection

install: build
	mkdir -p $(DESTDIR)/$(PREFIX)/bin/
	for prog in $(PROGRAMS); do \
		install -m 0755 $$prog $(DESTDIR)/$(PREFIX)/bin; \
	done

	mkdir -p $(DESTDIR)/usr/share/jenkins-debian-glue/examples/
	install -m 0664 examples/* $(DESTDIR)/usr/share/jenkins-debian-glue/examples/
	mkdir -p $(DESTDIR)/usr/share/jenkins-debian-glue/pbuilder-hookdir/
	install -m 0775 pbuilder-hookdir/* $(DESTDIR)/usr/share/jenkins-debian-glue/pbuilder-hookdir/

uninstall:
	for prog in $(PROGRAMS); do \
		rm $(DESTDIR)/$(PREFIX)/bin/$${prog#scripts} ; \
	done
	rm -rf $(DESTDIR)/usr/share/jenkins-debian-glue/examples
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/jenkins-debian-glue

deploy: build
	fab all

clean:
	rm -f fabfile.pyc

.PHONY: all build check install uninstall deploy clean

=== debian/changelog ===
jenkins-debian-glue (0.23.6) unstable; urgency=medium

  [ Guillem Jover ]
  * [52c40f3] build: Mark all current targets as .PHONY
  * [a7e6ca4] build: Split the test suite into its own check target
  * [9552ba2] build: Do not remove Debian packaging artifacts from the
    clean target
  * [389076c] build: Remove target dependency on shell glob pattern
  * [94d8184] build: Use GNU Make wildcard function instead of a raw shell
    glob pattern
  * [4a3f89a] build: For correctness make install and deploy depend on the
    build target

    Those changes fix the FTBFS with the nocheck build profile
    (Closes: #1116758)

 -- Michael Prokop <mika@debian.org>  Fri, 03 Oct 2025 13:42:03 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Michael Prokop <mika@debian.org>
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/mika/jenkins-debian-glue
 Vcs-Git: https://github.com/mika/jenkins-debian-glue.git
 Vcs-Browser: https://github.com/mika/jenkins-debian-glue
